import{s as st,n as it,o as rt}from"../chunks/scheduler.8c3d61f6.js";import{S as at,i as dt,g as a,s,r as u,A as lt,h as d,f as t,c as i,j as _,u as m,x as v,k as b,y as o,a as c,v as p,d as f,t as g,w as h}from"../chunks/index.da70eac4.js";import{D as $}from"../chunks/Docstring.ee4b6913.js";import{C as ct}from"../chunks/CodeBlock.00a903b3.js";import{H as De,E as ut}from"../chunks/EditOnGithub.1e64e623.js";function mt(Be){let w,re,se,ae,A,de,k,Ge='The 3D variational autoencoder (VAE) model with KL loss used in <a href="https://github.com/THUDM/CogVideo" rel="nofollow">CogVideoX</a> was introduced in <a href="https://github.com/THUDM/CogVideo/blob/main/resources/CogVideoX.pdf" rel="nofollow">CogVideoX: Text-to-Video Diffusion Models with An Expert Transformer</a> by Tsinghua University &amp; ZhipuAI.',le,X,Se="The model can be loaded with the following code snippet.",ce,K,ue,M,me,r,E,Te,R,Re=`A VAE model with KL loss for encoding images into latents and decoding latent representations into images. Used in
<a href="https://github.com/THUDM/CogVideo" rel="nofollow">CogVideoX</a>.`,Ae,W,We=`This model inherits from <a href="/docs/diffusers/main/en/api/models/overview#diffusers.ModelMixin">ModelMixin</a>. Check the superclass documentation for it’s generic methods implemented
for all models (such as downloading or saving).`,ke,j,O,Xe,Y,U,Ke,V,H,Me,F,je=`Disable sliced VAE decoding. If <code>enable_slicing</code> was previously enabled, this method will go back to computing
decoding in one step.`,Ee,y,I,Oe,J,Ye=`Disable tiled VAE decoding. If <code>enable_tiling</code> was previously enabled, this method will go back to computing
decoding in one step.`,Ue,L,q,He,Q,Fe=`Enable sliced VAE decoding. When this option is enabled, the VAE will split the input tensor in slices to
compute decoding in several steps. This is useful to save some memory and allow larger batch sizes.`,Ie,D,z,qe,ee,Je=`Enable tiled VAE decoding. When this option is enabled, the VAE will split the input tensor into tiles to
compute decoding and encoding in several steps. This is useful for saving a large amount of memory and to allow
processing larger images.`,ze,T,P,Pe,te,Qe="Decode a batch of images using a tiled decoder.",pe,N,fe,x,Z,Ne,oe,et="Output of AutoencoderKL encoding method.",ge,B,he,C,G,Ze,ne,tt="Output of decoding method.",_e,S,be,ie,ve;return A=new De({props:{title:"AutoencoderKLCogVideoX",local:"autoencoderklcogvideox",headingTag:"h1"}}),K=new ct({props:{code:"ZnJvbSUyMGRpZmZ1c2VycyUyMGltcG9ydCUyMEF1dG9lbmNvZGVyS0xDb2dWaWRlb1glMEElMEF2YWUlMjAlM0QlMjBBdXRvZW5jb2RlcktMQ29nVmlkZW9YLmZyb21fcHJldHJhaW5lZCglMjJUSFVETSUyRkNvZ1ZpZGVvWC0yYiUyMiUyQyUyMHN1YmZvbGRlciUzRCUyMnZhZSUyMiUyQyUyMHRvcmNoX2R0eXBlJTNEdG9yY2guZmxvYXQxNikudG8oJTIyY3VkYSUyMik=",highlighted:`<span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> AutoencoderKLCogVideoX

vae = AutoencoderKLCogVideoX.from_pretrained(<span class="hljs-string">&quot;THUDM/CogVideoX-2b&quot;</span>, subfolder=<span class="hljs-string">&quot;vae&quot;</span>, torch_dtype=torch.float16).to(<span class="hljs-string">&quot;cuda&quot;</span>)`,wrap:!1}}),M=new De({props:{title:"AutoencoderKLCogVideoX",local:"diffusers.AutoencoderKLCogVideoX",headingTag:"h2"}}),E=new $({props:{name:"class diffusers.AutoencoderKLCogVideoX",anchor:"diffusers.AutoencoderKLCogVideoX",parameters:[{name:"in_channels",val:": int = 3"},{name:"out_channels",val:": int = 3"},{name:"down_block_types",val:": Tuple = ('CogVideoXDownBlock3D', 'CogVideoXDownBlock3D', 'CogVideoXDownBlock3D', 'CogVideoXDownBlock3D')"},{name:"up_block_types",val:": Tuple = ('CogVideoXUpBlock3D', 'CogVideoXUpBlock3D', 'CogVideoXUpBlock3D', 'CogVideoXUpBlock3D')"},{name:"block_out_channels",val:": Tuple = (128, 256, 256, 512)"},{name:"latent_channels",val:": int = 16"},{name:"layers_per_block",val:": int = 3"},{name:"act_fn",val:": str = 'silu'"},{name:"norm_eps",val:": float = 1e-06"},{name:"norm_num_groups",val:": int = 32"},{name:"temporal_compression_ratio",val:": float = 4"},{name:"sample_height",val:": int = 480"},{name:"sample_width",val:": int = 720"},{name:"scaling_factor",val:": float = 1.15258426"},{name:"shift_factor",val:": Optional = None"},{name:"latents_mean",val:": Optional = None"},{name:"latents_std",val:": Optional = None"},{name:"force_upcast",val:": float = True"},{name:"use_quant_conv",val:": bool = False"},{name:"use_post_quant_conv",val:": bool = False"}],parametersDescription:[{anchor:"diffusers.AutoencoderKLCogVideoX.in_channels",description:"<strong>in_channels</strong> (int, <em>optional</em>, defaults to 3) &#x2014; Number of channels in the input image.",name:"in_channels"},{anchor:"diffusers.AutoencoderKLCogVideoX.out_channels",description:"<strong>out_channels</strong> (int,  <em>optional</em>, defaults to 3) &#x2014; Number of channels in the output.",name:"out_channels"},{anchor:"diffusers.AutoencoderKLCogVideoX.down_block_types",description:`<strong>down_block_types</strong> (<code>Tuple[str]</code>, <em>optional</em>, defaults to <code>(&quot;DownEncoderBlock2D&quot;,)</code>) &#x2014;
Tuple of downsample block types.`,name:"down_block_types"},{anchor:"diffusers.AutoencoderKLCogVideoX.up_block_types",description:`<strong>up_block_types</strong> (<code>Tuple[str]</code>, <em>optional</em>, defaults to <code>(&quot;UpDecoderBlock2D&quot;,)</code>) &#x2014;
Tuple of upsample block types.`,name:"up_block_types"},{anchor:"diffusers.AutoencoderKLCogVideoX.block_out_channels",description:`<strong>block_out_channels</strong> (<code>Tuple[int]</code>, <em>optional</em>, defaults to <code>(64,)</code>) &#x2014;
Tuple of block output channels.`,name:"block_out_channels"},{anchor:"diffusers.AutoencoderKLCogVideoX.act_fn",description:"<strong>act_fn</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;silu&quot;</code>) &#x2014; The activation function to use.",name:"act_fn"},{anchor:"diffusers.AutoencoderKLCogVideoX.sample_size",description:"<strong>sample_size</strong> (<code>int</code>, <em>optional</em>, defaults to <code>32</code>) &#x2014; Sample input size.",name:"sample_size"},{anchor:"diffusers.AutoencoderKLCogVideoX.scaling_factor",description:`<strong>scaling_factor</strong> (<code>float</code>, <em>optional</em>, defaults to <code>1.15258426</code>) &#x2014;
The component-wise standard deviation of the trained latent space computed using the first batch of the
training set. This is used to scale the latent space to have unit variance when training the diffusion
model. The latents are scaled with the formula <code>z = z * scaling_factor</code> before being passed to the
diffusion model. When decoding, the latents are scaled back to the original scale with the formula: <code>z = 1 / scaling_factor * z</code>. For more details, refer to sections 4.3.2 and D.1 of the <a href="https://arxiv.org/abs/2112.10752" rel="nofollow">High-Resolution Image
Synthesis with Latent Diffusion Models</a> paper.`,name:"scaling_factor"},{anchor:"diffusers.AutoencoderKLCogVideoX.force_upcast",description:`<strong>force_upcast</strong> (<code>bool</code>, <em>optional</em>, default to <code>True</code>) &#x2014;
If enabled it will force the VAE to run in float32 for high image resolution pipelines, such as SD-XL. VAE
can be fine-tuned / trained to a lower range without loosing too much precision in which case
<code>force_upcast</code> can be set to <code>False</code> - see: <a href="https://huggingface.co/madebyollin/sdxl-vae-fp16-fix" rel="nofollow">https://huggingface.co/madebyollin/sdxl-vae-fp16-fix</a>`,name:"force_upcast"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/models/autoencoders/autoencoder_kl_cogvideox.py#L886"}}),O=new $({props:{name:"wrapper",anchor:"diffusers.AutoencoderKLCogVideoX.decode",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/utils/accelerate_utils.py#L43"}}),U=new $({props:{name:"wrapper",anchor:"diffusers.AutoencoderKLCogVideoX.encode",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/utils/accelerate_utils.py#L43"}}),H=new $({props:{name:"disable_slicing",anchor:"diffusers.AutoencoderKLCogVideoX.disable_slicing",parameters:[],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/models/autoencoders/autoencoder_kl_cogvideox.py#L1077"}}),I=new $({props:{name:"disable_tiling",anchor:"diffusers.AutoencoderKLCogVideoX.disable_tiling",parameters:[],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/models/autoencoders/autoencoder_kl_cogvideox.py#L1063"}}),q=new $({props:{name:"enable_slicing",anchor:"diffusers.AutoencoderKLCogVideoX.enable_slicing",parameters:[],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/models/autoencoders/autoencoder_kl_cogvideox.py#L1070"}}),z=new $({props:{name:"enable_tiling",anchor:"diffusers.AutoencoderKLCogVideoX.enable_tiling",parameters:[{name:"tile_sample_min_height",val:": Optional = None"},{name:"tile_sample_min_width",val:": Optional = None"},{name:"tile_overlap_factor_height",val:": Optional = None"},{name:"tile_overlap_factor_width",val:": Optional = None"}],parametersDescription:[{anchor:"diffusers.AutoencoderKLCogVideoX.enable_tiling.tile_sample_min_height",description:`<strong>tile_sample_min_height</strong> (<code>int</code>, <em>optional</em>) &#x2014;
The minimum height required for a sample to be separated into tiles across the height dimension.`,name:"tile_sample_min_height"},{anchor:"diffusers.AutoencoderKLCogVideoX.enable_tiling.tile_sample_min_width",description:`<strong>tile_sample_min_width</strong> (<code>int</code>, <em>optional</em>) &#x2014;
The minimum width required for a sample to be separated into tiles across the width dimension.`,name:"tile_sample_min_width"},{anchor:"diffusers.AutoencoderKLCogVideoX.enable_tiling.tile_overlap_factor_height",description:`<strong>tile_overlap_factor_height</strong> (<code>int</code>, <em>optional</em>) &#x2014;
The minimum amount of overlap between two consecutive vertical tiles. This is to ensure that there are
no tiling artifacts produced across the height dimension. Must be between 0 and 1. Setting a higher
value might cause more tiles to be processed leading to slow down of the decoding process.`,name:"tile_overlap_factor_height"},{anchor:"diffusers.AutoencoderKLCogVideoX.enable_tiling.tile_overlap_factor_width",description:`<strong>tile_overlap_factor_width</strong> (<code>int</code>, <em>optional</em>) &#x2014;
The minimum amount of overlap between two consecutive horizontal tiles. This is to ensure that there
are no tiling artifacts produced across the width dimension. Must be between 0 and 1. Setting a higher
value might cause more tiles to be processed leading to slow down of the decoding process.`,name:"tile_overlap_factor_width"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/models/autoencoders/autoencoder_kl_cogvideox.py#L1027"}}),P=new $({props:{name:"tiled_decode",anchor:"diffusers.AutoencoderKLCogVideoX.tiled_decode",parameters:[{name:"z",val:": Tensor"},{name:"return_dict",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.AutoencoderKLCogVideoX.tiled_decode.z",description:"<strong>z</strong> (<code>torch.Tensor</code>) &#x2014; Input batch of latent vectors.",name:"z"},{anchor:"diffusers.AutoencoderKLCogVideoX.tiled_decode.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to return a <code>~models.vae.DecoderOutput</code> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/models/autoencoders/autoencoder_kl_cogvideox.py#L1175",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>If return_dict is True, a <code>~models.vae.DecoderOutput</code> is returned, otherwise a plain <code>tuple</code> is
returned.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>~models.vae.DecoderOutput</code> or <code>tuple</code></p>
`}}),N=new De({props:{title:"AutoencoderKLOutput",local:"diffusers.models.modeling_outputs.AutoencoderKLOutput",headingTag:"h2"}}),Z=new $({props:{name:"class diffusers.models.modeling_outputs.AutoencoderKLOutput",anchor:"diffusers.models.modeling_outputs.AutoencoderKLOutput",parameters:[{name:"latent_dist",val:": DiagonalGaussianDistribution"}],parametersDescription:[{anchor:"diffusers.models.modeling_outputs.AutoencoderKLOutput.latent_dist",description:`<strong>latent_dist</strong> (<code>DiagonalGaussianDistribution</code>) &#x2014;
Encoded outputs of <code>Encoder</code> represented as the mean and logvar of <code>DiagonalGaussianDistribution</code>.
<code>DiagonalGaussianDistribution</code> allows for sampling latents from the distribution.`,name:"latent_dist"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/models/modeling_outputs.py#L6"}}),B=new De({props:{title:"DecoderOutput",local:"diffusers.models.autoencoders.vae.DecoderOutput",headingTag:"h2"}}),G=new $({props:{name:"class diffusers.models.autoencoders.vae.DecoderOutput",anchor:"diffusers.models.autoencoders.vae.DecoderOutput",parameters:[{name:"sample",val:": Tensor"},{name:"commit_loss",val:": Optional = None"}],parametersDescription:[{anchor:"diffusers.models.autoencoders.vae.DecoderOutput.sample",description:`<strong>sample</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
The decoded output sample from the last layer of the model.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/models/autoencoders/vae.py#L33"}}),S=new ut({props:{source:"https://github.com/huggingface/diffusers/blob/main/docs/source/en/api/models/autoencoderkl_cogvideox.md"}}),{c(){w=a("meta"),re=s(),se=a("p"),ae=s(),u(A.$$.fragment),de=s(),k=a("p"),k.innerHTML=Ge,le=s(),X=a("p"),X.textContent=Se,ce=s(),u(K.$$.fragment),ue=s(),u(M.$$.fragment),me=s(),r=a("div"),u(E.$$.fragment),Te=s(),R=a("p"),R.innerHTML=Re,Ae=s(),W=a("p"),W.innerHTML=We,ke=s(),j=a("div"),u(O.$$.fragment),Xe=s(),Y=a("div"),u(U.$$.fragment),Ke=s(),V=a("div"),u(H.$$.fragment),Me=s(),F=a("p"),F.innerHTML=je,Ee=s(),y=a("div"),u(I.$$.fragment),Oe=s(),J=a("p"),J.innerHTML=Ye,Ue=s(),L=a("div"),u(q.$$.fragment),He=s(),Q=a("p"),Q.textContent=Fe,Ie=s(),D=a("div"),u(z.$$.fragment),qe=s(),ee=a("p"),ee.textContent=Je,ze=s(),T=a("div"),u(P.$$.fragment),Pe=s(),te=a("p"),te.textContent=Qe,pe=s(),u(N.$$.fragment),fe=s(),x=a("div"),u(Z.$$.fragment),Ne=s(),oe=a("p"),oe.textContent=et,ge=s(),u(B.$$.fragment),he=s(),C=a("div"),u(G.$$.fragment),Ze=s(),ne=a("p"),ne.textContent=tt,_e=s(),u(S.$$.fragment),be=s(),ie=a("p"),this.h()},l(e){const n=lt("svelte-u9bgzb",document.head);w=d(n,"META",{name:!0,content:!0}),n.forEach(t),re=i(e),se=d(e,"P",{}),_(se).forEach(t),ae=i(e),m(A.$$.fragment,e),de=i(e),k=d(e,"P",{"data-svelte-h":!0}),v(k)!=="svelte-1996cgd"&&(k.innerHTML=Ge),le=i(e),X=d(e,"P",{"data-svelte-h":!0}),v(X)!=="svelte-1vuni30"&&(X.textContent=Se),ce=i(e),m(K.$$.fragment,e),ue=i(e),m(M.$$.fragment,e),me=i(e),r=d(e,"DIV",{class:!0});var l=_(r);m(E.$$.fragment,l),Te=i(l),R=d(l,"P",{"data-svelte-h":!0}),v(R)!=="svelte-1rg6lrb"&&(R.innerHTML=Re),Ae=i(l),W=d(l,"P",{"data-svelte-h":!0}),v(W)!=="svelte-1hyu2ru"&&(W.innerHTML=We),ke=i(l),j=d(l,"DIV",{class:!0});var ot=_(j);m(O.$$.fragment,ot),ot.forEach(t),Xe=i(l),Y=d(l,"DIV",{class:!0});var nt=_(Y);m(U.$$.fragment,nt),nt.forEach(t),Ke=i(l),V=d(l,"DIV",{class:!0});var $e=_(V);m(H.$$.fragment,$e),Me=i($e),F=d($e,"P",{"data-svelte-h":!0}),v(F)!=="svelte-189cc7b"&&(F.innerHTML=je),$e.forEach(t),Ee=i(l),y=d(l,"DIV",{class:!0});var we=_(y);m(I.$$.fragment,we),Oe=i(we),J=d(we,"P",{"data-svelte-h":!0}),v(J)!=="svelte-1f366pl"&&(J.innerHTML=Ye),we.forEach(t),Ue=i(l),L=d(l,"DIV",{class:!0});var xe=_(L);m(q.$$.fragment,xe),He=i(xe),Q=d(xe,"P",{"data-svelte-h":!0}),v(Q)!=="svelte-14bnrb6"&&(Q.textContent=Fe),xe.forEach(t),Ie=i(l),D=d(l,"DIV",{class:!0});var Ce=_(D);m(z.$$.fragment,Ce),qe=i(Ce),ee=d(Ce,"P",{"data-svelte-h":!0}),v(ee)!=="svelte-1xwrf7t"&&(ee.textContent=Je),Ce.forEach(t),ze=i(l),T=d(l,"DIV",{class:!0});var Ve=_(T);m(P.$$.fragment,Ve),Pe=i(Ve),te=d(Ve,"P",{"data-svelte-h":!0}),v(te)!=="svelte-1vrxp2b"&&(te.textContent=Qe),Ve.forEach(t),l.forEach(t),pe=i(e),m(N.$$.fragment,e),fe=i(e),x=d(e,"DIV",{class:!0});var ye=_(x);m(Z.$$.fragment,ye),Ne=i(ye),oe=d(ye,"P",{"data-svelte-h":!0}),v(oe)!=="svelte-1vsc7ag"&&(oe.textContent=et),ye.forEach(t),ge=i(e),m(B.$$.fragment,e),he=i(e),C=d(e,"DIV",{class:!0});var Le=_(C);m(G.$$.fragment,Le),Ze=i(Le),ne=d(Le,"P",{"data-svelte-h":!0}),v(ne)!=="svelte-18u8upa"&&(ne.textContent=tt),Le.forEach(t),_e=i(e),m(S.$$.fragment,e),be=i(e),ie=d(e,"P",{}),_(ie).forEach(t),this.h()},h(){b(w,"name","hf:doc:metadata"),b(w,"content",pt),b(j,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),b(Y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),b(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),b(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),b(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),b(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),b(T,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),b(r,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),b(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),b(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,n){o(document.head,w),c(e,re,n),c(e,se,n),c(e,ae,n),p(A,e,n),c(e,de,n),c(e,k,n),c(e,le,n),c(e,X,n),c(e,ce,n),p(K,e,n),c(e,ue,n),p(M,e,n),c(e,me,n),c(e,r,n),p(E,r,null),o(r,Te),o(r,R),o(r,Ae),o(r,W),o(r,ke),o(r,j),p(O,j,null),o(r,Xe),o(r,Y),p(U,Y,null),o(r,Ke),o(r,V),p(H,V,null),o(V,Me),o(V,F),o(r,Ee),o(r,y),p(I,y,null),o(y,Oe),o(y,J),o(r,Ue),o(r,L),p(q,L,null),o(L,He),o(L,Q),o(r,Ie),o(r,D),p(z,D,null),o(D,qe),o(D,ee),o(r,ze),o(r,T),p(P,T,null),o(T,Pe),o(T,te),c(e,pe,n),p(N,e,n),c(e,fe,n),c(e,x,n),p(Z,x,null),o(x,Ne),o(x,oe),c(e,ge,n),p(B,e,n),c(e,he,n),c(e,C,n),p(G,C,null),o(C,Ze),o(C,ne),c(e,_e,n),p(S,e,n),c(e,be,n),c(e,ie,n),ve=!0},p:it,i(e){ve||(f(A.$$.fragment,e),f(K.$$.fragment,e),f(M.$$.fragment,e),f(E.$$.fragment,e),f(O.$$.fragment,e),f(U.$$.fragment,e),f(H.$$.fragment,e),f(I.$$.fragment,e),f(q.$$.fragment,e),f(z.$$.fragment,e),f(P.$$.fragment,e),f(N.$$.fragment,e),f(Z.$$.fragment,e),f(B.$$.fragment,e),f(G.$$.fragment,e),f(S.$$.fragment,e),ve=!0)},o(e){g(A.$$.fragment,e),g(K.$$.fragment,e),g(M.$$.fragment,e),g(E.$$.fragment,e),g(O.$$.fragment,e),g(U.$$.fragment,e),g(H.$$.fragment,e),g(I.$$.fragment,e),g(q.$$.fragment,e),g(z.$$.fragment,e),g(P.$$.fragment,e),g(N.$$.fragment,e),g(Z.$$.fragment,e),g(B.$$.fragment,e),g(G.$$.fragment,e),g(S.$$.fragment,e),ve=!1},d(e){e&&(t(re),t(se),t(ae),t(de),t(k),t(le),t(X),t(ce),t(ue),t(me),t(r),t(pe),t(fe),t(x),t(ge),t(he),t(C),t(_e),t(be),t(ie)),t(w),h(A,e),h(K,e),h(M,e),h(E),h(O),h(U),h(H),h(I),h(q),h(z),h(P),h(N,e),h(Z),h(B,e),h(G),h(S,e)}}}const pt='{"title":"AutoencoderKLCogVideoX","local":"autoencoderklcogvideox","sections":[{"title":"AutoencoderKLCogVideoX","local":"diffusers.AutoencoderKLCogVideoX","sections":[],"depth":2},{"title":"AutoencoderKLOutput","local":"diffusers.models.modeling_outputs.AutoencoderKLOutput","sections":[],"depth":2},{"title":"DecoderOutput","local":"diffusers.models.autoencoders.vae.DecoderOutput","sections":[],"depth":2}],"depth":1}';function ft(Be){return rt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class $t extends at{constructor(w){super(),dt(this,w,ft,mt,st,{})}}export{$t as component};
